QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, class: AcceptRecoveryRequestProto, class: Builder

Package org.apache.hadoop.hdfs.qjournal.protocol

# Class QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>
org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder

All Implemented Interfaces:
  `Cloneable`, `QJournalProtocolProtos.AcceptRecoveryRequestProtoOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  QJournalProtocolProtos.AcceptRecoveryRequestProto

public static final class QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder> implements QJournalProtocolProtos.AcceptRecoveryRequestProtoOrBuilder

     acceptRecovery()

Protobuf type `hadoop.hdfs.qjournal.AcceptRecoveryRequestProto`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto`
  `build()`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto`
  `buildPartial()`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `clear()`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `clearFromURL()`
  The URL from which the log may be copied
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `clearReqInfo()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `clearStateToAccept()`
  Details on the segment to recover
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `clone()`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `String`
  `getFromURL()`
  The URL from which the log may be copied
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getFromURLBytes()`
  The URL from which the log may be copied
  `QJournalProtocolProtos.RequestInfoProto`
  `getReqInfo()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.RequestInfoProto.Builder`
  `getReqInfoBuilder()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.RequestInfoProtoOrBuilder`
  `getReqInfoOrBuilder()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.SegmentStateProto`
  `getStateToAccept()`
  Details on the segment to recover
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `getStateToAcceptBuilder()`
  Details on the segment to recover
  `QJournalProtocolProtos.SegmentStateProtoOrBuilder`
  `getStateToAcceptOrBuilder()`
  Details on the segment to recover
  `boolean`
  `hasFromURL()`
  The URL from which the log may be copied
  `boolean`
  `hasReqInfo()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `boolean`
  `hasStateToAccept()`
  Details on the segment to recover
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `mergeFrom(QJournalProtocolProtos.AcceptRecoveryRequestProto other)`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `mergeReqInfo(QJournalProtocolProtos.RequestInfoProto value)`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `mergeStateToAccept(QJournalProtocolProtos.SegmentStateProto value)`
  Details on the segment to recover
  `final QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `setFromURL(String value)`
  The URL from which the log may be copied
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `setFromURLBytes(org.apache.hadoop.thirdparty.protobuf.ByteString value)`
  The URL from which the log may be copied
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `setReqInfo(QJournalProtocolProtos.RequestInfoProto value)`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `setReqInfo(QJournalProtocolProtos.RequestInfoProto.Builder builderForValue)`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `setStateToAccept(QJournalProtocolProtos.SegmentStateProto value)`
  Details on the segment to recover
  `QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `setStateToAccept(QJournalProtocolProtos.SegmentStateProto.Builder builderForValue)`
  Details on the segment to recover
  `final QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`

  - ### clear

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`

  - ### getDefaultInstanceForType

    public QJournalProtocolProtos.AcceptRecoveryRequestProto getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public QJournalProtocolProtos.AcceptRecoveryRequestProto build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public QJournalProtocolProtos.AcceptRecoveryRequestProto buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`

  - ### setField

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`

  - ### clearField

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`

  - ### clearOneof

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`

  - ### setRepeatedField

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`

  - ### addRepeatedField

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`

  - ### mergeFrom

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`

  - ### mergeFrom

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder mergeFrom(QJournalProtocolProtos.AcceptRecoveryRequestProto other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`

  - ### mergeFrom

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`
    Throws:
      `IOException`

  - ### hasReqInfo

    public boolean hasReqInfo()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    Specified by:
      `hasReqInfo` in interface `QJournalProtocolProtos.AcceptRecoveryRequestProtoOrBuilder`
    Returns:
      Whether the reqInfo field is set.

  - ### getReqInfo

    public QJournalProtocolProtos.RequestInfoProto getReqInfo()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    Specified by:
      `getReqInfo` in interface `QJournalProtocolProtos.AcceptRecoveryRequestProtoOrBuilder`
    Returns:
      The reqInfo.

  - ### setReqInfo

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder setReqInfo(QJournalProtocolProtos.RequestInfoProto value)
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

  - ### setReqInfo

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder setReqInfo(QJournalProtocolProtos.RequestInfoProto.Builder builderForValue)
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

  - ### mergeReqInfo

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder mergeReqInfo(QJournalProtocolProtos.RequestInfoProto value)
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

  - ### clearReqInfo

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder clearReqInfo()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

  - ### getReqInfoBuilder

    public QJournalProtocolProtos.RequestInfoProto.Builder getReqInfoBuilder()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

  - ### getReqInfoOrBuilder

    public QJournalProtocolProtos.RequestInfoProtoOrBuilder getReqInfoOrBuilder()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    Specified by:
      `getReqInfoOrBuilder` in interface `QJournalProtocolProtos.AcceptRecoveryRequestProtoOrBuilder`

  - ### hasStateToAccept

    public boolean hasStateToAccept()

         Details on the segment to recover

    `required .hadoop.hdfs.qjournal.SegmentStateProto stateToAccept = 2;`
    Specified by:
      `hasStateToAccept` in interface `QJournalProtocolProtos.AcceptRecoveryRequestProtoOrBuilder`
    Returns:
      Whether the stateToAccept field is set.

  - ### getStateToAccept

    public QJournalProtocolProtos.SegmentStateProto getStateToAccept()

         Details on the segment to recover

    `required .hadoop.hdfs.qjournal.SegmentStateProto stateToAccept = 2;`
    Specified by:
      `getStateToAccept` in interface `QJournalProtocolProtos.AcceptRecoveryRequestProtoOrBuilder`
    Returns:
      The stateToAccept.

  - ### setStateToAccept

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder setStateToAccept(QJournalProtocolProtos.SegmentStateProto value)

         Details on the segment to recover

    `required .hadoop.hdfs.qjournal.SegmentStateProto stateToAccept = 2;`

  - ### setStateToAccept

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder setStateToAccept(QJournalProtocolProtos.SegmentStateProto.Builder builderForValue)

         Details on the segment to recover

    `required .hadoop.hdfs.qjournal.SegmentStateProto stateToAccept = 2;`

  - ### mergeStateToAccept

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder mergeStateToAccept(QJournalProtocolProtos.SegmentStateProto value)

         Details on the segment to recover

    `required .hadoop.hdfs.qjournal.SegmentStateProto stateToAccept = 2;`

  - ### clearStateToAccept

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder clearStateToAccept()

         Details on the segment to recover

    `required .hadoop.hdfs.qjournal.SegmentStateProto stateToAccept = 2;`

  - ### getStateToAcceptBuilder

    public QJournalProtocolProtos.SegmentStateProto.Builder getStateToAcceptBuilder()

         Details on the segment to recover

    `required .hadoop.hdfs.qjournal.SegmentStateProto stateToAccept = 2;`

  - ### getStateToAcceptOrBuilder

    public QJournalProtocolProtos.SegmentStateProtoOrBuilder getStateToAcceptOrBuilder()

         Details on the segment to recover

    `required .hadoop.hdfs.qjournal.SegmentStateProto stateToAccept = 2;`
    Specified by:
      `getStateToAcceptOrBuilder` in interface `QJournalProtocolProtos.AcceptRecoveryRequestProtoOrBuilder`

  - ### hasFromURL

    public boolean hasFromURL()

         The URL from which the log may be copied

    `required string fromURL = 3;`
    Specified by:
      `hasFromURL` in interface `QJournalProtocolProtos.AcceptRecoveryRequestProtoOrBuilder`
    Returns:
      Whether the fromURL field is set.

  - ### getFromURL

    public String getFromURL()

         The URL from which the log may be copied

    `required string fromURL = 3;`
    Specified by:
      `getFromURL` in interface `QJournalProtocolProtos.AcceptRecoveryRequestProtoOrBuilder`
    Returns:
      The fromURL.

  - ### getFromURLBytes

    public org.apache.hadoop.thirdparty.protobuf.ByteString getFromURLBytes()

         The URL from which the log may be copied

    `required string fromURL = 3;`
    Specified by:
      `getFromURLBytes` in interface `QJournalProtocolProtos.AcceptRecoveryRequestProtoOrBuilder`
    Returns:
      The bytes for fromURL.

  - ### setFromURL

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder setFromURL(String value)

         The URL from which the log may be copied

    `required string fromURL = 3;`
    Parameters:
      `value` - The fromURL to set.
    Returns:
      This builder for chaining.

  - ### clearFromURL

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder clearFromURL()

         The URL from which the log may be copied

    `required string fromURL = 3;`
    Returns:
      This builder for chaining.

  - ### setFromURLBytes

    public QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder setFromURLBytes(org.apache.hadoop.thirdparty.protobuf.ByteString value)

         The URL from which the log may be copied

    `required string fromURL = 3;`
    Parameters:
      `value` - The bytes for fromURL to set.
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`

  - ### mergeUnknownFields

    public final QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.AcceptRecoveryRequestProto.Builder>`